summaryrefslogtreecommitdiff
path: root/.jenkins
diff options
context:
space:
mode:
authorEdward Z. Yang <ezyang@fb.com>2018-03-30 10:32:25 -0700
committerEdward Z. Yang <ezyang@fb.com>2018-03-30 10:32:25 -0700
commit37044d75152e18155b4ab6b59b67b88245e4e05d (patch)
tree362eedcd37d66e08b7bac152864d263d73a0343d /.jenkins
parent90afedb6e222d430d5c9333ff27adb42aa4bb900 (diff)
downloadpytorch-37044d75152e18155b4ab6b59b67b88245e4e05d.tar.gz
pytorch-37044d75152e18155b4ab6b59b67b88245e4e05d.tar.bz2
pytorch-37044d75152e18155b4ab6b59b67b88245e4e05d.zip
Add 'dirty diff' tests for PyTorch and Caffe2.
Signed-off-by: Edward Z. Yang <ezyang@fb.com>
Diffstat (limited to '.jenkins')
-rwxr-xr-x.jenkins/caffe2/dirty.sh5
-rwxr-xr-x.jenkins/pytorch/dirty.sh5
2 files changed, 10 insertions, 0 deletions
diff --git a/.jenkins/caffe2/dirty.sh b/.jenkins/caffe2/dirty.sh
new file mode 100755
index 0000000000..3c5dac84fe
--- /dev/null
+++ b/.jenkins/caffe2/dirty.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+set -ex
+upstream="$1"
+pr="$2"
+git diff --name-only "$upstream" "$pr" | grep -Eq '^(CMakeLists.txt|Makefile|.gitmodules|.jenkins/caffe2|binaries|caffe|caffe2|cmake|conda|docker|docs|modules|scripts|third_party)'
diff --git a/.jenkins/pytorch/dirty.sh b/.jenkins/pytorch/dirty.sh
new file mode 100755
index 0000000000..c0b0d2d900
--- /dev/null
+++ b/.jenkins/pytorch/dirty.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+set -ex
+upstream="$1"
+pr="$2"
+git diff --name-only "$upstream" "$pr" | grep -Eq '^(aten/|cmake/|.jenkins/pytorch|docs/|mypy|requirements.txt|setup.py|test/|third_party/|tools/|\.gitmodules|torch/)'